For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETList Shipping Methods in Zone
              • POSTCreate Shipping Method
              • GETGet Shipping Method
              • PUTUpdate Shipping Method
              • DELDelete Shipping Method
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV2Shipping Method

Create Shipping Method

POST
https://api.bigcommerce.com/stores/:store_hash/v2/shipping/zones/:zone_id/methods
POST
/stores/:store_hash/v2/shipping/zones/:zone_id/methods
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Standard Flat Rate Shipping",
> "type": "perorder",
> "settings": {
> "rate": 9
> },
> "enabled": true,
> "handling_fees": {
> "fixed_surcharge": 2
> },
> "channel_ids": [
> 1
> ]
>}'
200Create a flat-rate shipping method
1{
2 "channel_ids": [
3 1
4 ],
5 "enabled": true,
6 "handling_fees": {
7 "fixed_surcharge": 2
8 },
9 "id": 5,
10 "name": "Standard Flat Rate Shipping",
11 "settings": {
12 "rate": 9
13 },
14 "type": "perorder"
15}
Creates a *Shipping Method* within a shipping zone. Real Time Carrier Connections are also supported by this endpoint. ## Carrier Configurations – Current This section provides a sample request and a carrier-specific object/property model, for each supported carrier. ### USPS by Endicia Example request body: ```json { "name": "USPS by Endicia", "type": "endicia", "settings": { "carrier_options": { "delivery_services" : ["PriorityExpress","Priority", "PriorityMailExpressInternational"], "packaging_type" : "LargeFlatRateBox", "show_transit_time" : true } }, "enabled": true } ``` #### USPS by Endicia Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | PriorityExpress, PriorityMailExpressInternational, FirstClassPackageInternationalService, Priority, PriorityMailInternational, First, ParcelSelect, MediaMail | | packaging_type | array | FlatRateLegalEnvelope, FlatRatePaddedEnvelope, Parcel, SmallFlatRateBox, MediumFlatRateBox, LargeFlatRateBox, FlatRateEnvelope, RegionalRateBoxA, RegionalRateBoxB | |show_transit_time | boolean | true, false | ### FedEx Example request body: ```json { "name": "FEDEX", "type": "fedex", "settings": { "carrier_options": { "delivery_services": [ "PRIORITY_OVERNIGHT", "FEDEX_2_DAY" ], "dropoff_type": "REGULAR_PICKUP", "packaging_type": "FEDEX_ENVELOPE", "packing_method": "SEPARATE", "rate_type": "NONE", "include_package_value": true, "destination_type": "residential" } }, "enabled": true } ``` #### FedEx Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | PRIORITY_OVERNIGHT, STANDARD_OVERNIGHT, FIRST_OVERNIGHT, FEDEX_2_DAY, FEDEX_EXPRESS_SAVER, INTERNATIONAL_PRIORITY, INTERNATIONAL_ECONOMY, INTERNATIONAL_FIRST, FEDEX_1_DAY_FREIGHT, FEDEX_2_DAY_FREIGHT, FEDEX_3_DAY_FREIGHT, FEDEX_GROUND, GROUND_HOME_DELIVERY, INTERNATIONAL_PRIORITY_FREIGHT, INTERNATIONAL_ECONOMY_FREIGHT, EUROPE_FIRST_INTERNATIONAL_PRIORITY | | dropoff_type | string | REGULAR_PICKUP, REQUEST_COURIER, DROP_BOX, BUSINESS_SERVICE_CENTER, STATION | | packaging_type | string | FEDEX_ENVELOPE, FEDEX_PAK, FEDEX_BOX, FEDEX_TUBE, FEDEX_10KG_BOX, FEDEX_25KG_BOX, YOUR_PACKAGING | | packing_method | string | SEPARATE, COMBINED | | rate_type | string | NONE, LIST | | include_package_value | boolean | true, false | | destination_type | string | residential, business | ### UPS Ready Example request body: ```json { "name": "UPS ready", "type": "upsready", "settings": { "carrier_options": { "delivery_services": [ "2nd_Day_Air","Standard" ], "packaging_type": "21", "packing_method": "separate", "include_package_value": true, "destination_type": "residential", "show_transit_time" : true } }, "enabled": true } ``` #### UPS Ready Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | 2nd_Day_Air, 2nd_Day_Air_AM, 3_Day_Select, Expedited, Express, Express_Plus, Express_Saver, Express_Early_AM, Ground, Next_Day_Air, Next_Day_Air_Early_AM, Next_Day_Air_Saver, Saver, Standard, Today_Dedicated_Courier, Today_Express, Today_Express_Saver, Today_Intercity, Today_Standard, Worldwide_Expedited, Worldwide_Express, Worldwide_Express_Plus, Worldwide_Express_Saver, Worldwide_Saver | | destination_type | string | residential, business | | packing_method | string | separate, combined | | packaging_type | string (only codes allowed) | See the following table | | include_package_value | boolean | true, false | | show_transit_time | boolean | true, false | UPS `packaging_type` values include: | Code | Description | |:----:|:------------| | 21 | UPS® Express Box | | 24 | UPS® 25 KG Box | | 25 | UPS® 10 KG Box | | 30 | Pallet | | 01 | UPS® Letter | | 02 | Customer Supplied Package | | 03 | Tube | | 04 | PAK | | 2a | Small Express Box | | 2b | Medium Express Box | | 2c | Large Express Box | ### Canada Post Example request body: ```json { "name": "Canada Post", "type": "canadapost", "settings": { "carrier_options": { "delivery_services": [ "DOM.RP","DOM.EP" ] } }, "enabled": true } ``` #### Canada Post Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | DOM.RP, DOM.EP, DOM.XP, DOM.XP.CERT, DOM.PC DOM.LIB, USA.EP, USA.PW.ENV, USA.PW.PAK, USA.PW.PARCEL, USA.SP.AIR, USA.TP, USA.TP.LVM, USA.XP, INT.XP, INT.IP.AIR, INT.IP.SURF, INT.PW.ENV, INT.PW.PAK, INT.PW.PARCEL, INT.SP.AIR, INT.SP.SURF, INT.TP | ### Australia Post Example request body: ```json { "name": "Australia Post", "type": "auspost", "settings": { "carrier_options": { "delivery_services": [ "AUS_PARCEL_REGULAR", "AUS_PARCEL_EXPRESS" ] } }, "enabled": true } ``` #### Australia Post Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | AUS_LETTER_REGULAR_SMALL, AUS_LETTER_REGULAR_Large, AUS_LETTER_EXPRESS_SMALL, AUS_LETTER_EXPRESS_MEDIUM, AUS_LETTER_EXPRESS_LARGE, AUS_PARCEL_REGULAR, AUS_PARCEL_REGULAR_SATCHEL_500G, AUS_PARCEL_REGULAR_SATCHEL_3KG, AUS_PARCEL_REGULAR_SATCHEL_5KG, AUS_PARCEL_EXPRESS, AUS_PARCEL_EXPRESS_SATCHEL_500G, AUS_PARCEL_EXPRESS_SATCHEL_3KG, AUS_PARCEL_EXPRESS_SATCHEL_5KG, AUS_PARCEL_COURIER, AUS_PARCEL_COURIER_SATCHEL_MEDIUM, INT_PARCEL_COR_OWN_PACKAGING, INT_PARCEL_EXP_OWN_PACKAGING, INT_PARCEL_STD_OWN_PACKAGING, INT_PARCEL_AIR_OWN_PACKAGING, INT_PARCEL_SEA_OWN_PACKAGING | ### Royal Mail Example request body: ```json { "name": "Royal Mail", "type": "royalmail", "settings": { "carrier_options": { "delivery_services": [ "StandardFirstClass", "StandardSecondClass" ] } }, "enabled": true } ``` #### Royal Mail Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | SpecialDelivery1pm, SpecialDelivery9am, SpecialDelivery1pmSaturday, SpecialDelivery9amSaturday, SignedForFirstClass, SignedForSecondClass, Express9, Express10, ExpressAM, Express24, Express48, StandardFirstClass, StandardSecondClass, InternationalStandard, InternationalTracked, InternationalEconomy | ### Zoom2U Example request body: ```json { "name": "Zoom2U", "type": "zoom2u", "settings": { "carrier_options": { "delivery_services": [ "3_hour", "Same_day", "VIP" ] } }, "enabled": true } ``` #### Zoom2U Object Properties | Property | Type | Values | | - | - | - | | delivery_services | array | 3_hour, Same_day, VIP| ### Settings Objects A shipping methodʼs `type` and `settings` properties can match one of the following models: #### perorder Object – Properties Object model for flat-rate shipping quotes per order. | Property | Type | Description | | - | - | - | | rate | number | Flat rate per order. | Example request body: ```json { "name": "Flat Rate per Order", "type": "perorder", "settings": { "rate": 7 } } ``` #### peritem Object – Properties Object model for flat-rate shipping quotes per item ordered. | Name | Type | Description | |:-----|:-----|:------------| | rate | number | Flat rate per item. | Example request body: ```json { "name": "Flat Rate per Item", "type": "peritem", "settings": { "rate": 8 } } ``` #### weight Object – Properties Object model for shipping quotes by weight. | Property | Type | Description | | - | - | - | | default_cost | number &#124; null | Default shipping cost, applied either as a percentage of the orderʼs total value or as a fixed amount. If default cost is not required, you can supply a value of null. | | default_cost_type | string | How the default shipping cost is calculated; either `percentage_of_total` or `fixed_amount`. | | range | number | Array of [range](#range-object--properties) objects. The units for these ranges' `lower_limit` and `upper_limit` properties depend on the default units set in the storeʼs control panel. | Example request body: ```json { "name": "Rate per Weight", "type": "weight", "settings": { "default_cost": 12, "default_cost_type": "fixed_amount", "range": [ { "lower_limit": 0, "upper_limit": 20, "shipping_cost": 8 }, { "lower_limit": 20, "upper_limit": 40, "shipping_cost": 12 } ] } } ``` #### total Object – Properties Object model for shipping quotes by orderʼs total value. | Property | Type | Description | | - | - | - | | default_cost | number &#124; null | Default shipping cost, applied either as a percentage of the orderʼs total value or as a fixed amount. If default cost is not required, you can supply a value of null. | | default_cost_type | string | How the default shipping cost is calculated; either `percentage_of_total` or `fixed_amount`. | | range | number | Array of [range](#range-object--properties) objects. The units for these ranges' `lower_limit` and `upper_limit` properties are values in the storeʼs currency. | Example request body: This example sets free shipping above a certain order total: ```json { "name": "Per Total or Free", "type": "total", "settings": { "default_cost": 12, "default_cost_type": "fixed_amount", "range": [ { "lower_limit": 0, "upper_limit": 5, "shipping_cost": 5 }, { "lower_limit": 5, "upper_limit": 10, "shipping_cost": 8 }, { "lower_limit": 10, "upper_limit": 20, "shipping_cost": 10 }, { "lower_limit": 20, "upper_limit": 49.99, "shipping_cost": 15 }, { "lower_limit": 50, "upper_limit": 100000, "shipping_cost": 0 } ] } } ``` #### Range Object – Properties Object model to define ranges for shipping quotes. Units are defined in the parent object. | Property | Type | Description | | - | - | - | | lower_limit | number | Lower limit for order total. | | upper_limit | number | Upper limit for order total. | | shipping_cost | number | Shipping cost for orders whose total falls between the lower and upper limits. | Example request body: ```json { "lower_limit": 0, "upper_limit": 20, "shipping_cost": 8 } ``` ### Channels Example request body: ```json { "name": "Method associated to channels 1, 3", "type": "peritem", "settings": { "rate": 5 }, "channel_ids": [1, 3] } ``` | Property | Type | Description | | - | - | - | | channel_ids | array | Channels associated with the method as an array of integers. |
Was this page helpful?
Previous

List Shipping Methods in Zone

Next

Get Shipping Method

Built with

Creates a Shipping Method within a shipping zone. Real Time Carrier Connections are also supported by this endpoint.

Carrier Configurations – Current

This section provides a sample request and a carrier-specific object/property model, for each supported carrier.

USPS by Endicia

Example request body:

1{
2 "name": "USPS by Endicia",
3 "type": "endicia",
4 "settings": {
5 "carrier_options": {
6 "delivery_services" : ["PriorityExpress","Priority", "PriorityMailExpressInternational"],
7 "packaging_type" : "LargeFlatRateBox",
8 "show_transit_time" : true
9 }
10 },
11 "enabled": true
12}

USPS by Endicia Object Properties

PropertyTypeValues
delivery_servicesarrayPriorityExpress, PriorityMailExpressInternational, FirstClassPackageInternationalService, Priority, PriorityMailInternational, First, ParcelSelect, MediaMail
packaging_typearrayFlatRateLegalEnvelope, FlatRatePaddedEnvelope, Parcel, SmallFlatRateBox, MediumFlatRateBox, LargeFlatRateBox, FlatRateEnvelope, RegionalRateBoxA, RegionalRateBoxB
show_transit_timebooleantrue, false

FedEx

Example request body:

1{
2 "name": "FEDEX",
3 "type": "fedex",
4 "settings": {
5 "carrier_options": {
6 "delivery_services": [
7 "PRIORITY_OVERNIGHT",
8 "FEDEX_2_DAY"
9 ],
10 "dropoff_type": "REGULAR_PICKUP",
11 "packaging_type": "FEDEX_ENVELOPE",
12 "packing_method": "SEPARATE",
13 "rate_type": "NONE",
14 "include_package_value": true,
15 "destination_type": "residential"
16 }
17 },
18 "enabled": true
19}

FedEx Object Properties

PropertyTypeValues
delivery_servicesarrayPRIORITY_OVERNIGHT, STANDARD_OVERNIGHT, FIRST_OVERNIGHT, FEDEX_2_DAY, FEDEX_EXPRESS_SAVER, INTERNATIONAL_PRIORITY, INTERNATIONAL_ECONOMY, INTERNATIONAL_FIRST, FEDEX_1_DAY_FREIGHT, FEDEX_2_DAY_FREIGHT, FEDEX_3_DAY_FREIGHT, FEDEX_GROUND, GROUND_HOME_DELIVERY, INTERNATIONAL_PRIORITY_FREIGHT, INTERNATIONAL_ECONOMY_FREIGHT, EUROPE_FIRST_INTERNATIONAL_PRIORITY
dropoff_typestringREGULAR_PICKUP, REQUEST_COURIER, DROP_BOX, BUSINESS_SERVICE_CENTER, STATION
packaging_typestringFEDEX_ENVELOPE, FEDEX_PAK, FEDEX_BOX, FEDEX_TUBE, FEDEX_10KG_BOX, FEDEX_25KG_BOX, YOUR_PACKAGING
packing_methodstringSEPARATE, COMBINED
rate_typestringNONE, LIST
include_package_valuebooleantrue, false
destination_typestringresidential, business

UPS Ready

Example request body:

1{
2 "name": "UPS ready",
3 "type": "upsready",
4 "settings": {
5 "carrier_options": {
6 "delivery_services": [
7 "2nd_Day_Air","Standard"
8 ],
9 "packaging_type": "21",
10 "packing_method": "separate",
11 "include_package_value": true,
12 "destination_type": "residential",
13 "show_transit_time" : true
14 }
15 },
16 "enabled": true
17}

UPS Ready Object Properties

PropertyTypeValues
delivery_servicesarray2nd_Day_Air, 2nd_Day_Air_AM, 3_Day_Select, Expedited, Express, Express_Plus, Express_Saver, Express_Early_AM, Ground, Next_Day_Air, Next_Day_Air_Early_AM, Next_Day_Air_Saver, Saver, Standard, Today_Dedicated_Courier, Today_Express, Today_Express_Saver, Today_Intercity, Today_Standard, Worldwide_Expedited, Worldwide_Express, Worldwide_Express_Plus, Worldwide_Express_Saver, Worldwide_Saver
destination_typestringresidential, business
packing_methodstringseparate, combined
packaging_typestring (only codes allowed)See the following table
include_package_valuebooleantrue, false
show_transit_timebooleantrue, false

UPS packaging_type values include:

CodeDescription
21UPS® Express Box
24UPS® 25 KG Box
25UPS® 10 KG Box
30Pallet
01UPS® Letter
02Customer Supplied Package
03Tube
04PAK
2aSmall Express Box
2bMedium Express Box
2cLarge Express Box

Canada Post

Example request body:

1{
2 "name": "Canada Post",
3 "type": "canadapost",
4 "settings": {
5 "carrier_options": {
6 "delivery_services": [
7 "DOM.RP","DOM.EP"
8 ]
9 }
10 },
11 "enabled": true
12}

Canada Post Object Properties

PropertyTypeValues
delivery_servicesarrayDOM.RP, DOM.EP, DOM.XP, DOM.XP.CERT, DOM.PC DOM.LIB, USA.EP, USA.PW.ENV, USA.PW.PAK, USA.PW.PARCEL, USA.SP.AIR, USA.TP, USA.TP.LVM, USA.XP, INT.XP, INT.IP.AIR, INT.IP.SURF, INT.PW.ENV, INT.PW.PAK, INT.PW.PARCEL, INT.SP.AIR, INT.SP.SURF, INT.TP

Australia Post

Example request body:

1{
2 "name": "Australia Post",
3 "type": "auspost",
4 "settings": {
5 "carrier_options": {
6 "delivery_services": [
7 "AUS_PARCEL_REGULAR",
8 "AUS_PARCEL_EXPRESS"
9 ]
10 }
11 },
12 "enabled": true
13}

Australia Post Object Properties

PropertyTypeValues
delivery_servicesarrayAUS_LETTER_REGULAR_SMALL, AUS_LETTER_REGULAR_Large, AUS_LETTER_EXPRESS_SMALL, AUS_LETTER_EXPRESS_MEDIUM, AUS_LETTER_EXPRESS_LARGE, AUS_PARCEL_REGULAR, AUS_PARCEL_REGULAR_SATCHEL_500G, AUS_PARCEL_REGULAR_SATCHEL_3KG, AUS_PARCEL_REGULAR_SATCHEL_5KG, AUS_PARCEL_EXPRESS, AUS_PARCEL_EXPRESS_SATCHEL_500G, AUS_PARCEL_EXPRESS_SATCHEL_3KG, AUS_PARCEL_EXPRESS_SATCHEL_5KG, AUS_PARCEL_COURIER, AUS_PARCEL_COURIER_SATCHEL_MEDIUM, INT_PARCEL_COR_OWN_PACKAGING, INT_PARCEL_EXP_OWN_PACKAGING, INT_PARCEL_STD_OWN_PACKAGING, INT_PARCEL_AIR_OWN_PACKAGING, INT_PARCEL_SEA_OWN_PACKAGING

Royal Mail

Example request body:

1{
2 "name": "Royal Mail",
3 "type": "royalmail",
4 "settings": {
5 "carrier_options": {
6 "delivery_services": [
7 "StandardFirstClass",
8 "StandardSecondClass"
9 ]
10 }
11 },
12 "enabled": true
13}

Royal Mail Object Properties

PropertyTypeValues
delivery_servicesarraySpecialDelivery1pm, SpecialDelivery9am, SpecialDelivery1pmSaturday, SpecialDelivery9amSaturday, SignedForFirstClass, SignedForSecondClass, Express9, Express10, ExpressAM, Express24, Express48, StandardFirstClass, StandardSecondClass, InternationalStandard, InternationalTracked, InternationalEconomy

Zoom2U

Example request body:

1{
2 "name": "Zoom2U",
3 "type": "zoom2u",
4 "settings": {
5 "carrier_options": {
6 "delivery_services": [
7 "3_hour",
8 "Same_day",
9 "VIP"
10 ]
11 }
12 },
13 "enabled": true
14}

Zoom2U Object Properties

PropertyTypeValues
delivery_servicesarray3_hour, Same_day, VIP

Settings Objects

A shipping methodʼs type and settings properties can match one of the following models:

perorder Object – Properties

Object model for flat-rate shipping quotes per order.

PropertyTypeDescription
ratenumberFlat rate per order.

Example request body:

1{
2 "name": "Flat Rate per Order",
3 "type": "perorder",
4 "settings": {
5 "rate": 7
6 }
7}

peritem Object – Properties

Object model for flat-rate shipping quotes per item ordered.

NameTypeDescription
ratenumberFlat rate per item.

Example request body:

1{
2 "name": "Flat Rate per Item",
3 "type": "peritem",
4 "settings": {
5 "rate": 8
6 }
7}

weight Object – Properties

Object model for shipping quotes by weight.

PropertyTypeDescription
default_costnumber | nullDefault shipping cost, applied either as a percentage of the orderʼs total value or as a fixed amount. If default cost is not required, you can supply a value of null.
default_cost_typestringHow the default shipping cost is calculated; either percentage_of_total or fixed_amount.
rangenumberArray of range objects. The units for these ranges’ lower_limit and upper_limit properties depend on the default units set in the storeʼs control panel.

Example request body:

1{
2 "name": "Rate per Weight",
3 "type": "weight",
4 "settings": {
5 "default_cost": 12,
6 "default_cost_type": "fixed_amount",
7 "range": [
8 {
9 "lower_limit": 0,
10 "upper_limit": 20,
11 "shipping_cost": 8
12 },
13 {
14 "lower_limit": 20,
15 "upper_limit": 40,
16 "shipping_cost": 12
17 }
18 ]
19 }
20}

total Object – Properties

Object model for shipping quotes by orderʼs total value.

PropertyTypeDescription
default_costnumber | nullDefault shipping cost, applied either as a percentage of the orderʼs total value or as a fixed amount. If default cost is not required, you can supply a value of null.
default_cost_typestringHow the default shipping cost is calculated; either percentage_of_total or fixed_amount.
rangenumberArray of range objects. The units for these ranges’ lower_limit and upper_limit properties are values in the storeʼs currency.

Example request body:

This example sets free shipping above a certain order total:

1{
2 "name": "Per Total or Free",
3 "type": "total",
4 "settings": {
5 "default_cost": 12,
6 "default_cost_type": "fixed_amount",
7 "range": [
8 {
9 "lower_limit": 0,
10 "upper_limit": 5,
11 "shipping_cost": 5
12 },
13 {
14 "lower_limit": 5,
15 "upper_limit": 10,
16 "shipping_cost": 8
17 },
18 {
19 "lower_limit": 10,
20 "upper_limit": 20,
21 "shipping_cost": 10
22 },
23 {
24 "lower_limit": 20,
25 "upper_limit": 49.99,
26 "shipping_cost": 15
27 },
28 {
29 "lower_limit": 50,
30 "upper_limit": 100000,
31 "shipping_cost": 0
32 }
33 ]
34 }
35}

Range Object – Properties

Object model to define ranges for shipping quotes. Units are defined in the parent object.

PropertyTypeDescription
lower_limitnumberLower limit for order total.
upper_limitnumberUpper limit for order total.
shipping_costnumberShipping cost for orders whose total falls between the lower and upper limits.

Example request body:

1{
2 "lower_limit": 0,
3 "upper_limit": 20,
4 "shipping_cost": 8
5}

Channels

Example request body:

1{
2 "name": "Method associated to channels 1, 3",
3 "type": "peritem",
4 "settings": {
5 "rate": 5
6 },
7 "channel_ids": [1, 3]
8}
PropertyTypeDescription
channel_idsarrayChannels associated with the method as an array of integers.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | | - | - | - | | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

zone_idintegerRequired
ID of the shipping zone.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
namestringOptional
Display name for shipping method.
typeenumOptional
settingsobjectOptional

Depends on the shipping method type. See the supported settings object.

enabledbooleanOptional
Whether or not this shipping zone method is enabled.
handling_feesobjectOptional
is_fallbackbooleanOptional
Whether or not this shipping method is a fallback method used when advanced shipping rules are unavailable.
channel_idslist of integersOptional

List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)

Response

channel_idslist of integers

List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)

enabledboolean
Whether or not this shipping zone method is enabled.
handling_feesobject
idintegerRead-only

Shipping method ID. Read-only.

is_fallbackboolean
Whether or not this shipping method is a fallback method used when advanced shipping rules are unavailable.
namestring
Display name for shipping method.
settingsobject

Depends on the shipping method type. See the supported settings object.

typeenum

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.